%define phpversion 4.0.6
%define phprelease 3.2mdk
%define phpdir %{_libdir}/php 
%define phpsource /usr/src/php-devel

Summary:	MySQL module for PHP4
Name:		php-mysql
Version:	%{phpversion}
Release:	2.2mdk
Group:		System/Servers
Copyright:	PHP License
BuildRoot:	%{_tmppath}/%{name}-root
Prereq:		php-common = %{phpversion}, perl
Requires:	MySQL-shared >= 3.23.36
BuildRequires:  php-devel = %{phpversion}
BuildRequires:	MySQL-devel >= 3.23.36
#pthreads
BuildRequires:  glibc-devel
Obsoletes:	mod_php3-mysql, mod_php-mysql

%description
The php-pgsql package includes a dynamic shared object (DSO) that adds
MySQL database support to PHP4.  MySQL is an object-relational
database management system that supports almost all SQL constructs. PHP is
an HTML-embedded scripting language. If you need back-end support for
MySQL, you should install this package in addition to the main php
package.

%build
[ -e ./mysql ] && rm -fr ./mysql
cp -dpR %{phpsource}/extensions/mysql .
cd mysql

%{phpsource}/buildext mysql php_mysql.c "-lmysqlclient_r -lpthread" \
        "-DCOMPILE_DL_MYSQL -DHAVE_MYSQL"

%install
cd mysql
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT 
mkdir -p $RPM_BUILD_ROOT%{phpdir}/extensions

install -m 755 -s mysql.so $RPM_BUILD_ROOT%{phpdir}/extensions/

mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
echo > $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/README <<EOF
The php-mysql package contains a dynamic shared object (DSO) for PHP4. 
To activate it, make sure the line 'extension=mysql.so' is uncommented
in your /etc/php.ini file.
EOF

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
[ -e ./mysql ] && rm -fr ./mysql

%post
if [ $1 = "1" ]; then
  if [ -f %{_sysconfdir}/php.ini ]; then
    perl -pi -e 's|^;extension\s*=\s*mysql.so|extension = mysql.so|' %{_sysconfdir}/php.ini
  fi
fi
if [ $1 -gt 1 ]; then
   #We're in *upgrade mode*. Since we can't be sure the configuration files
   #are sane, remove module from the conf files to clean them, re-add again
   #in a way that the older module we're replacing won't try to erase (the
   #post scripts were broken on some packages)
   #Also, there could be extra lines, so make sure we uncomment one
   #Finally, don't check for presence of php.ini, if it's not there,
   #we have a problem, so it should generate an error message.
   perl -pi -e 's|^extension\s*=\s*mysql.so|;extension = mysql.so|g' %{_sysconfdir}/php.ini
   perl -pi -e 's|^;extension\s*=\s*mysql.so|extension = mysql.so|' %{_sysconfdir}/php.ini
fi
if [ -e %{_sbindir}/AESctl ]; then %{_sbindir}/AESctl update;fi 

%preun
if [ $1 = "0" ]; then
  if [ -f %{_sysconfdir}/php.ini ]; then
    perl -pi -e 's|^extension\s*=\s*mysql.so|;extension = mysql.so|g' %{_sysconfdir}/php.ini
  fi
  if [ -e %{_sbindir}/AESctl ]; then %{_sbindir}/AESctl update;fi 
fi


%files 
%defattr(-,root,root)
%{phpdir}/extensions/mysql.so
%dir %{_docdir}/%{name}-%{version}
%{_docdir}/%{name}-%{version}/README

%changelog
* Sat Aug  4 2001 Vincent Danen <vdanen@mandrakesoft.com> 4.0.6-2.2mdk
- update for 8.0

* Wed Jul 25 2001 Vincent Danen <vdanen@mandrakesoft.com> 4.0.6-2mdk
- rebuild

* Fri Jun 29 2001 Vincent Danen <vdanen@mandrakesoft.com> 4.0.6-1mdk
- 4.0.6

* Thu Apr 12 2001 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.0.4pl1-6mdk
- fix requires

* Mon Apr  9 2001 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.0.4pl1-5mdk
- fix post scripts for good 

* Mon Apr  2 2001 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.0.4pl1-4mdk
- Split mysql package from php package so that when a new mysql 
  package comes out, we don't have to recompile php, only this module
